     d = open("nomer")     rem открыть БД, хранящую номер док-та
     getfirst(d)           rem прочесть первую запись
     nom = 'Номер_док.'.d  rem прочесть номер док-та в переменную nom
     close(d)              rem закрыть БД
     d = open("kotch")     rem открыть БД - реестр док-ов
     if Find(d,1,1,nom) != 0 then goto 900 rem найти док-т с номером nom
     d1 = open("osv")
     if Find(d1,1,1,"50") != 0 then goto 800
     nsaldo = 'DbS_начало'.d1 - 'KrS_начало'.d1
     close(d1)
     dat = 'Дата'.d
     d1 = open("s50")
     dbob = 0.0
     krob = 0.0
     putkey(d1,1)
     for i = 1 to size(d1)
        if i = 1 then getfirst(d1)
        if i != 1 then getnext(d1)
        if 'Дата'.d1 < dat & trim('Db_счета'.d1) = "50" then dbob = dbob + 'Сумма'.d1
        if 'Дата'.d1 < dat & trim('Kr_счета'.d1) = "50" then krob = krob + 'Сумма'.d1
        if 'Дата'.d1 >= dat then goto 10 
     next
10   close(d1)
     d1 = open("spoop")
     for i = 1 to size(d1)
        if i = 1 then getfirst(d1)
        if i != 1 then getnext(d1)
        if 'Дата'.d1 < dat & trim('Db_счета'.d1) = "50" then dbob = dbob + 'Сумма'.d1
        if 'Дата'.d1 < dat & trim('Kr_счета'.d1) = "50" then krob = krob + 'Сумма'.d1
     next
     close(d1)
     nsaldo = nsaldo + dbob - krob 
     print "                                                   КАССОВЫЙ ОТЧЕТ N ",nom
     print "                                                   ЗА ",fldtodate(dat)
     print "       -------------------------------------------------------------------------------------------------------"
     print "       |    Ном.   |    От кого получено                              | Номер  |              |              |"
     print "       |    док.   |    или кому выдано                               | счета  |    Приход    |    Расход    |"
     print "       -------------------------------------------------------------------------------------------------------"
     print "       |      Остаток на начало дня:                                                  ",str(nsaldo,14,2),"         |"
     d1 = open("s50")
     dbob = 0.0
     krob = 0.0
     ddoc = 0.0
     kdoc = 0.0
     putkey(d1,1)
     for i = 1 to size(d1)
        if i = 1 then getfirst(d1)
        if i != 1 then getnext(d1)
        if 'Дата'.d1 > dat then goto 20
        if 'Дата'.d1 = dat & trim('Db_счета'.d1) = "50" then goto 100
        goto 200
100     dbob = dbob + 'Сумма'.d1
        ddoc = ddoc + 1
        print "       | ",'Документ'.d1," ",'Примечание'.d1," ",'Kr_счета'.d1," ",str('Сумма'.d1,14,2),"               |"
200     if 'Дата'.d1 = dat & trim('Kr_счета'.d1) = "50" then goto 310
        goto 300
310     krob = krob + 'Сумма'.d1
        kdoc = kdoc + 1
        print "       | ",'Документ'.d1," ",'Примечание'.d1," ",'Db_счета'.d1,"                ",str('Сумма'.d1,14,2),"|"
300  next
20   close(d1)
     d1 = open("spoop")
     putkey(d1,2)
     for i = 1 to size(d1)
        if i = 1 then getfirst(d1)
        if i != 1 then getnext(d1)
        if 'Дата'.d1 = dat & trim('Db_счета'.d1) = "50" then goto 400
        goto 500
400     dbob = dbob + 'Сумма'.d1
        print "       | ",'Документ'.d1," ",'Примечание'.d1," ",'Kr_счета'.d1," ",str('Сумма'.d1,14,2),"               |"
        ddoc = ddoc + 1
500     if 'Дата'.d1 = dat & trim('Kr_счета'.d1) = "50" then goto 610
        goto 600
610     krob = krob + 'Сумма'.d1
        kdoc = kdoc + 1
        print "       | ",'Документ'.d1," ",'Примечание'.d1," ",'Db_счета'.d1,"                ",str('Сумма'.d1,14,2),"|"
600  next
     close(d1)
     print "       |      Итого за день:                                                    ",str(dbob,14,2)," ",str(krob,14,2),"|"
     nsaldo = nsaldo + dbob - krob
     print "       |      Остаток на конец  дня:                                                  ",str(nsaldo,14,2),"         |"
     print "       -------------------------------------------------------------------------------------------------------"
     print ""
     print "        КАССИР _______________"
     print ""
     print "       Записи в кассовой книге проверил и документы в количестве"
     s1 = spro(ddoc)
     s2 = spro(kdoc)
     print "       ",substr(s1,1,strlen(s1) - 17)," приходных и ",substr(s2,1,strlen(s2)-17)," расходных"
     print "       получил."
     print ""
     print "        БУХГАЛТЕР _______________"
     goto 900
800  close(d1)
900  close(d)
     end
